ASUPリソースを取得する
GET /accounts/{account_id}/core/v1/asups/{asup_id}
JSON レスポンス本文に格納された ASUP API リソースを返します。AutoSupport バンドルの「creationState」が「completed」または「partial」の場合、Accept ヘッダーに「/」または「application/gzip」を指定することで AutoSupport バンドルをダウンロードできます。
パラメータ
| Name | を入力します | 入力 | 必須 | 説明 |
|---|---|---|---|---|
account_id |
string |
path(パス) |
True |
包含するアカウントリソースのID
|
asup_id |
string |
path(パス) |
True |
リストするAutoSupportコレクションのID |
応答
Status: 200, Returns the stored ASUP API resource in the JSON response body. If the AutoSupport bundle "creationState" is "completed" or "partial", the AutoSupport bundle can be downloaded by specifying an Accept header containing "*/*" or "application/gzip".
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
リソースのメディアタイプ。定義された値は次のとおりです:
|
バージョン |
string |
True |
リソースのバージョン。定義された値は次のとおりです:
|
ID |
string |
True |
リソースのグローバル一意識別子。定義された値は次のとおりです:
|
creationState |
string |
True |
AutoSupport バンドルの作成状態を示す値を含むJSON文字列。「completed」および「partial」状態の場合、「/」または「application/gzip」を含むAcceptヘッダーを指定してリソースURIに対してGETを実行することで、バンドルをダウンロードできます。定義された値は次のとおりです:
|
creationStateDetails |
True |
「creationState」が「partial」または「failed」に移行した理由に関する追加の詳細をリストするJSONオブジェクトのJSON配列。詳細情報がない場合は、この配列は空になります。
|
|
アップロード |
string |
True |
作成が成功した後にAutoSupportバンドルをアップロードするかどうかを示す値を含むJSON文字列。定義値は次のとおりです:
|
uploadState |
string |
False |
要求された場合のAutoSupportバンドルアップロードの状態を示す値を含むJSON文字列。定義値は次のとおりです:
|
uploadStateDetails |
False |
「uploadState」が「failed」に移行した理由に関する追加の詳細をリストするJSONオブジェクトのJSON配列。詳細情報がない場合は、この配列は空になります。
|
|
triggerType |
string |
True |
ASUPリソースの作成をトリガーした要因を示す値を含むJSON文字列。定義値は次のとおりです:
|
dataWindowStart |
string |
True |
AutoSupportバンドルデータ収集ウィンドウの開始時刻を示すタイムスタンプを含むJSON文字列。デフォルトは「dataWindowEnd」キー値の24時間前です。「dataWindowEnd」キー値より前に発生する必要があります。最大で、リクエストの現在時刻から7日前までです。定義値は次のとおりです:
|
dataWindowEnd |
string |
True |
AutoSupportバンドルデータ収集ウィンドウの終了時刻を示すタイムスタンプを含むJSON文字列。デフォルトでは、リクエスト時の現在時刻が使用されます。定義された値は次のとおりです:
|
メタデータ |
True |
リソースに関連付けられた、クライアントおよびサービス指定のメタデータ。定義された値は次のとおりです:
|
回答例
{
"type": "application/astra-asup",
"version": "1.0",
"id": "9950003f-a1c7-5ca7-8930-06eec25f60aa",
"creationState": "completed",
"creationStateDetails": [],
"upload": "false",
"triggerType": "manual",
"dataWindowStart": "2020-08-05T12:24:00.000000Z",
"dataWindowEnd": "2020-08-06T12:24:52.000000Z",
"metadata": {
"labels": [],
"creationTimestamp": "2022-10-06T20:58:16.305662Z",
"modificationTimestamp": "2022-10-06T20:58:16.305662Z",
"createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
}
}
応答
Status: 401, Unauthorized
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
|
タイトル |
string |
True |
|
詳細 |
string |
True |
|
ステータス |
string |
True |
|
correlationID |
string |
False |
回答例
{
"type": "https://astra.netapp.io/problems/3",
"title": "Missing bearer token",
"detail": "The request is missing the required bearer token.",
"status": "401"
}
応答
Status: 400, Bad request
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
|
タイトル |
string |
True |
|
詳細 |
string |
True |
|
ステータス |
string |
True |
|
correlationID |
string |
False |
|
invalidParams |
配列["invalidParams"] |
False |
無効なクエリパラメータのリスト |
回答例
{
"type": "https://astra.netapp.io/problems/5",
"title": "Invalid query parameters",
"detail": "The supplied query parameters are invalid.",
"status": "400"
}
応答
Status: 403, Forbidden
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
|
タイトル |
string |
True |
|
詳細 |
string |
True |
|
ステータス |
string |
True |
|
correlationID |
string |
False |
回答例
{
"type": "https://astra.netapp.io/problems/11",
"title": "Operation not permitted",
"detail": "The requested operation isn't permitted.",
"status": "403"
}
エラー
Status: 404, Not found
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
|
タイトル |
string |
True |
|
詳細 |
string |
True |
|
ステータス |
string |
True |
|
correlationID |
string |
False |
エラー応答の例
{
"type": "https://astra.netapp.io/problems/2",
"title": "Collection not found",
"detail": "The collection specified in the request URI wasn't found.",
"status": "404"
}
用語の意味
定義を参照
additionalDetails
type_astra_stateDetail
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
|
タイトル |
string |
True |
|
詳細 |
string |
True |
|
additionalDetails |
False |
type_astra_label
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
名前 |
string |
True |
|
Value |
string |
True |
type_astra_metadata
リソースに関連付けられた、クライアントおよびサービス指定のメタデータ。定義された値は次のとおりです:
-
Astra メタデータスキーマに準拠します。作成時に指定しない場合、ラベルのないメタデータオブジェクトが作成されます。
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
ラベル |
True |
||
作成タイムスタンプ |
string |
True |
|
modificationTimestamp |
string |
True |
|
作成者 |
string |
True |
|
modifiedBy |
string |
False |
invalidParams
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
名前 |
string |
True |
無効なクエリパラメータの名前 |
理由 |
string |
True |
クエリパラメータが無効な理由 |